Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Nov 2019, 15:32
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
hplip and hpliplite packages
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 10 [143 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13647
Location: Karlsruhe, Germany

PostPosted: Sat 14 Mar 2009, 03:07    Post subject:  

I think in a consolewindow you had to type:
petget thepackage.pet

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
mow9902

Joined: 26 Nov 2008
Posts: 173

PostPosted: Sat 14 Mar 2009, 03:30    Post subject:  

Thanks for the quick reply MU

As you can tell - I am very new to all of this.

Per your advice I typed:
petget libnetsnmp-15.pet ...and the output was:

/usr/sbin/petget: line 1257: 4775 terminated yaf-splash -font "8x16" -outline 0 -margin 4 -bg orange -text "PETget package manager"
Processing, please wait...."

...and another message almost exactly the same except
/usr/sbin/petget: line 1395: 4947 terminated (and then the rest the same)

I'm assuming this means that the petget script has terminated with some error for some reason; and the rest of the message is just the output of the orange box on the screen.

I get the same sort of error when I do a petget on the other package.

Any further advice would be very much appreciated. thanks

Is there any log file I can send or create to send to you so you can see exactly what I am seeing ?
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13647
Location: Karlsruhe, Germany

PostPosted: Sat 14 Mar 2009, 03:38    Post subject:  

this looks ok.
Look in the hidden folder /root/.packages.
(Click on the eye in rox-filer to see hidden folders).

There you should have:
libnetsnmp-15.files
It lists all installed files (you can open it with the editor).

If it is not there, you still could extract them manually, and copy the contents to your system.
But it would be important to see, why petget will not work for you.

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
mow9902

Joined: 26 Nov 2008
Posts: 173

PostPosted: Sat 14 Mar 2009, 20:37    Post subject:  

Thanks Mark

I looked in the .packages directory and do NOT see the file libnetsnmp-15.files

BUT I do see the libnetsnmp-15.pet file there again ie it looks like instead of extracting any files, it simply moved a copy of the .pet file into the .packages directory.

How do I manually extract .pet files? thanks

As to why petget doesn't work the way it should - I have no idea. It has also worked fine in the past. How can I tell whether it is a problem with the pet package itself, or something in my system setup?
Back to top
View user's profile Send private message 
mow9902

Joined: 26 Nov 2008
Posts: 173

PostPosted: Sun 15 Mar 2009, 01:44    Post subject: pet packages won't install - SOLVED!  

Mark - thanks for your guidance. There must have been something wrong with the original package I downloaded. I downloaded both again, and they both worked fine this time - and my scanner is FINALLY working.

Sorry to have bothered you unnecessarily.
Back to top
View user's profile Send private message 
Henry

Joined: 29 Jul 2006
Posts: 865
Location: Oregon USA

PostPosted: Sun 22 Mar 2009, 11:33    Post subject: Using Hpliplite in Nop 4.1.3
Subject description: Compatible with Cups 1.3.9?
 

Hello,
I had been happily using gray's excellent Nop 4.1.2 with no problems. When he moved from an earlier Cups to 1.3.9 in Nop 4.1.3 printing with Hpliplite no longer worked, a problem also noted by others. This is being discussed in:

http://www.murga-linux.com/puppy/viewtopic.php?t=39578&start=60

Any advice would be appreciated, thanks!
Back to top
View user's profile Send private message Visit poster's website 
lluamco

Joined: 16 Mar 2007
Posts: 208
Location: Banyoles, Spain

PostPosted: Mon 23 Mar 2009, 08:52    Post subject:  

Hi Henry.
I have seen that you solved your printing problem using Patriot's hplip package. I'm glad you did. I must say that I do not understand yet why my
hpliplite packages do not print using NOP4.13. Happily, Patriot's work offers the solution in
http://murga-linux.com/puppy/viewtopic.php?p=286823#286823 and
http://murga-linux.com/puppy/viewtopic.php?p=286824#286824
Back to top
View user's profile Send private message 
Henry

Joined: 29 Jul 2006
Posts: 865
Location: Oregon USA

PostPosted: Mon 23 Mar 2009, 13:00    Post subject:  

Hi Iluamco,
Well, I don't understand of course. Your Hpliplite always worked with Nop 4.1.2. With 4.1.3 (whether a fresh start or an upgrade) it did not until I removed the lines containing lp:x:7: in /etc/passwd and /etc/group

All's well that end's well - thanks!
Henry
Back to top
View user's profile Send private message Visit poster's website 
Patriot


Joined: 15 Jan 2009
Posts: 734

PostPosted: Tue 24 Mar 2009, 01:19    Post subject:  

Hmmm ...

@lluamco
Frankly, your hpliplite pet is still a required package. So, between you and me, we both have all the grounds covered. Your hpliplite pet allows puppy users get on to their printing with cups 1.1.x - 1.2.x and my hplip pet gives puppy users with cups 1.3.x - 1.4.x their printouts.

So, I hope we both can work together and get hplip packages in order ... If you have the time and would like to maintain the hplip packages for all cups versions, please drop me a pm ... I'm always happy to reduce my load .... Wink

Rgds
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 208
Location: Banyoles, Spain

PostPosted: Fri 27 Mar 2009, 07:55    Post subject: Cups 1.3.9 requires hpliplite and hplip extra postinstalls  

Puppy's using new cups, cups-v1.3.9 for instance, require an extra postinstall of hpliplite and hplip. Please find it attached in the first message of this thread, together with its installation instructions.
Back to top
View user's profile Send private message 
wah fun

Joined: 19 Apr 2009
Posts: 22

PostPosted: Thu 07 May 2009, 22:12    Post subject: hpliplite-postinstall does not work  

I tried to follow the instruction for the postinstall and the code:hpliplite-postinstall-cups-v1.3.9-v1.4b2 returned the error: command not found

Help please
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 208
Location: Banyoles, Spain

PostPosted: Fri 08 May 2009, 04:56    Post subject: Re: hpliplite-postinstall does not work  

wah fun wrote:
I tried to follow the instruction for the postinstall and the code:
Code:
hpliplite-postinstall-cups-v1.3.9-v1.4b2
returned the error: command not found

Help please
Please try instead:
Code:
./hpliplite-postinstall-cups-v1.3.9-v1.4b2
Hope that helps.
Back to top
View user's profile Send private message 
BJF

Joined: 24 Mar 2008
Posts: 263
Location: Lower Hutt, New Zealand

PostPosted: Tue 21 Jul 2009, 05:01    Post subject:  

Dear forum: I asked in a thread how to make a HP 2180 printer work under 4.2 on an Eeep (qv). Disciple refered me to this thread. My efforts were reported back as below:

Quote:
Disciple: I went to lluamco's excellent article on hpliplite and did the advised installs. When came time to attend to the post install, I downloaded hpliplite-postinstall-cups-v1.3.9-v1.4b2.gz and attempted to unzip it. No error. Then I did chmod, and it returned a no such file. So I went to the file and made it search and execute-able from right click/properties. And ran it. Did the stop/start, then went off to the printer and attempted set-up. No output from printer. Any ideas? Perhaps via PM and submit valid results back to the forum.

Disciple suggested that I move my request over here, so here I am. Please, I'm a Noob. Lots of enthusiasm, not much know-how. Be gentle.

Thanks.
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6988
Location: Auckland, New Zealand

PostPosted: Sun 26 Jul 2009, 00:00    Post subject:  

Its a pity we're not getting anywhere on that one...

I've discovered that after I scan (xsane) using my PSC1610, I need to reboot before I can print again (Cups says `- Unable to open USB device "usb:/dev/usb/lp0": No such device`)
Has anyone else experienced this?

_________________
Do you know a good gtkdialog program? Please post a link here

Classic Puppy quotes

ROOT FOREVER
GTK2 FOREVER
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6988
Location: Auckland, New Zealand

PostPosted: Sat 22 Aug 2009, 00:18    Post subject:  

Oh, right - I can print again if I turn the printer off and then back on. That's certainly better than restarting the computer.
_________________
Do you know a good gtkdialog program? Please post a link here

Classic Puppy quotes

ROOT FOREVER
GTK2 FOREVER
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 10 [143 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0568s ][ Queries: 12 (0.0089s) ][ GZIP on ]